Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum cmdReceipt.FiscalReceipt.FreeFiscalTextType

java.lang.Object
java.lang.Enum<cmdReceipt.FiscalReceipt.FreeFiscalTextType>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt.FreeFiscalTextType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.FiscalReceipt.FreeFiscalTextType>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static enum cmdReceipt.FiscalReceipt.FreeFiscalTextType
    extends java.lang.Enum<cmdReceipt.FiscalReceipt.FreeFiscalTextType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `type16dpy` |
  `type24dpi` |
  `type32dpiA` |
  `type32dpiB` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.FiscalReceipt.FreeFiscalTextType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.FiscalReceipt.FreeFiscalTextType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### type32dpiA

    public static final cmdReceipt.FiscalReceipt.FreeFiscalTextType type32dpiA

  - ### type32dpiB

    public static final cmdReceipt.FiscalReceipt.FreeFiscalTextType type32dpiB

  - ### type24dpi

    public static final cmdReceipt.FiscalReceipt.FreeFiscalTextType type24dpi

  - ### type16dpy

    public static final cmdReceipt.FiscalReceipt.FreeFiscalTextType type16dpy

- ## Method Details

  - ### values

    public static cmdReceipt.FiscalReceipt.FreeFiscalTextType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.FiscalReceipt.FreeFiscalTextType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null